# Visualization
TKMeshVS
MeshVS

# MeshVS_Tool Class Reference

This class provides auxiliary methods to create differents aspects
.

`#include <MeshVS_Tool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_Graphic3d_AspectFillArea3d | CreateAspectFillArea3d (const Handle(MeshVS_Drawer)&theDr, const Standard_Boolean UseDefaults=Standard_True)
| Creates fill area aspect with values from Drawer according to keys from DrawerAttribute .
static Standard_EXPORT Handle_Graphic3d_AspectFillArea3d | CreateAspectFillArea3d (const Handle(MeshVS_Drawer)&theDr, const Graphic3d_MaterialAspect &Mat, const Standard_Boolean UseDefaults=Standard_True)
| Creates fill aspect with values from Drawer according to keys from DrawerAttribute and specific material aspect .
static Standard_EXPORT Handle_Graphic3d_AspectLine3d | CreateAspectLine3d (const Handle(MeshVS_Drawer)&theDr, const Standard_Boolean UseDefaults=Standard_True)
| Creates line aspect with values from Drawer according to keys from DrawerAttribute .
static Standard_EXPORT Handle_Graphic3d_AspectMarker3d | CreateAspectMarker3d (const Handle(MeshVS_Drawer)&theDr, const Standard_Boolean UseDefaults=Standard_True)
| Creates marker aspect with values from Drawer according to keys from DrawerAttribute .
static Standard_EXPORT Handle_Graphic3d_AspectText3d | CreateAspectText3d (const Handle(MeshVS_Drawer)&theDr, const Standard_Boolean UseDefaults=Standard_True)
| Creates text aspect with values from Drawer according to keys from DrawerAttribute .
static Standard_EXPORT Standard_Boolean | GetNormal (const TColStd_Array1OfReal &Nodes, gp_Vec &Norm)
| Get one of normals to polygon described by these points. If the polygon isn't planar, function returns false .
static Standard_EXPORT Standard_Boolean | GetAverageNormal (const TColStd_Array1OfReal &Nodes, gp_Vec &Norm)
| Get an average of normals to non-planar polygon described by these points or compute normal of planar polygon. If the polygon isn't planar, function returns false .

## Member Function Documentation

static Standard_EXPORT Handle_Graphic3d_AspectFillArea3d MeshVS_Tool::CreateAspectFillArea3d | ( | const Handle(MeshVS_Drawer)& | theDr,
|  | const Graphic3d_MaterialAspect & | Mat,
|  | const Standard_Boolean | UseDefaults = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Handle_Graphic3d_AspectFillArea3d MeshVS_Tool::CreateAspectFillArea3d | ( | const Handle(MeshVS_Drawer)& | theDr,
|  | const Standard_Boolean | UseDefaults = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Handle_Graphic3d_AspectLine3d MeshVS_Tool::CreateAspectLine3d | ( | const Handle(MeshVS_Drawer)& | theDr,
|  | const Standard_Boolean | UseDefaults = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Handle_Graphic3d_AspectMarker3d MeshVS_Tool::CreateAspectMarker3d | ( | const Handle(MeshVS_Drawer)& | theDr,
|  | const Standard_Boolean | UseDefaults = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Handle_Graphic3d_AspectText3d MeshVS_Tool::CreateAspectText3d | ( | const Handle(MeshVS_Drawer)& | theDr,
|  | const Standard_Boolean | UseDefaults = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Standard_Boolean MeshVS_Tool::GetAverageNormal | ( | const TColStd_Array1OfReal & | Nodes,
|  | gp_Vec & | Norm
| ) | `[static]`

static Standard_EXPORT Standard_Boolean MeshVS_Tool::GetNormal | ( | const TColStd_Array1OfReal & | Nodes,
|  | gp_Vec & | Norm
| ) | `[static]`

void MeshVS_Tool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_Tool::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_Tool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- MeshVS_Tool.hxx